数据提供商: Ahrefs
Ahrefs 自然搜索竞争对手
每次调用 $0.055 起在 75 秒内响应
从 Ahrefs 索引获取指定日期和国家中,与一个域名或 URL 争夺相同自然搜索关键词的竞争域名。默认返回竞争域名、共同关键词数、竞争者与目标各自的关键词数、占比和流量。select、where 和 order_by 按文档定义传递给 Ahrefs(where 或 order_by 中使用的字段与返回字段一样计费)。每次调用最多可处理 250 行数据(范围为 1 至 250 行,默认值为 25 行)。不支持偏移或分页。按 Ahrefs API 单位计价。空报告会被视为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Ahrefs endpoint /v3/site-explorer/organic-competitors on Glasser.bash
glasser run -p ahrefs -e '/v3/site-explorer/organic-competitors' -i '{"date":"2026-09-01","target":"ahrefs.com","country":"us"}' --endpoint-version 4使用接口版本 4。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"ahrefs","endpoint":"/v3/site-explorer/organic-competitors","input":{"date":"2026-09-01","target":"ahrefs.com","country":"us"},"endpoint_version":4}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 4,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究问题时,可以搜索相关来源,并判断哪些结果值得进一步阅读。
复制此提示词到你的 Agent,查找研究问题的资料来源。
提示词
Use ahrefs:/v3/site-explorer/organic-competitors on Glasser.
Search for sources about my research question and explain which returned results are relevant.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"target",
"country",
"date"
],
"properties": {
"date": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"maxLength": 10,
"minLength": 1
},
"mode": {
"enum": [
"exact",
"prefix",
"domain",
"subdomains"
],
"type": "string"
},
"limit": {
"type": "integer",
"maximum": 250,
"minimum": 1
},
"where": {
"type": "string",
"minLength": 1
},
"select": {
"type": "string",
"pattern": "^[a-z_][a-z0-9_.]*(,[a-z_][a-z0-9_.]*)*$",
"minLength": 1
},
"target": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"country": {
"enum": [
"ad",
"ae",
"af",
"ag",
"ai",
"al",
"am",
"ao",
"ar",
"as",
"at",
"au",
"aw",
"az",
"ba",
"bb",
"bd",
"be",
"bf",
"bg",
"bh",
"bi",
"bj",
"bn",
"bo",
"br",
"bs",
"bt",
"bw",
"by",
"bz",
"ca",
"cd",
"cf",
"cg",
"ch",
"ci",
"ck",
"cl",
"cm",
"cn",
"co",
"cr",
"cu",
"cv",
"cy",
"cz",
"de",
"dj",
"dk",
"dm",
"do",
"dz",
"ec",
"ee",
"eg",
"es",
"et",
"fi",
"fj",
"fm",
"fo",
"fr",
"ga",
"gb",
"gd",
"ge",
"gf",
"gg",
"gh",
"gi",
"gl",
"gm",
"gn",
"gp",
"gq",
"gr",
"gt",
"gu",
"gy",
"hk",
"hn",
"hr",
"ht",
"hu",
"id",
"ie",
"il",
"im",
"in",
"iq",
"is",
"it",
"je",
"jm",
"jo",
"jp",
"ke",
"kg",
"kh",
"ki",
"kn",
"kr",
"kw",
"ky",
"kz",
"la",
"lb",
"lc",
"li",
"lk",
"ls",
"lt",
"lu",
"lv",
"ly",
"ma",
"mc",
"md",
"me",
"mg",
"mk",
"ml",
"mm",
"mn",
"mq",
"mr",
"ms",
"mt",
"mu",
"mv",
"mw",
"mx",
"my",
"mz",
"na",
"nc",
"ne",
"ng",
"ni",
"nl",
"no",
"np",
"nr",
"nu",
"nz",
"om",
"pa",
"pe",
"pf",
"pg",
"ph",
"pk",
"pl",
"pn",
"pr",
"ps",
"pt",
"py",
"qa",
"re",
"ro",
"rs",
"ru",
"rw",
"sa",
"sb",
"sc",
"se",
"sg",
"sh",
"si",
"sk",
"sl",
"sm",
"sn",
"so",
"sr",
"st",
"sv",
"td",
"tg",
"th",
"tj",
"tk",
"tl",
"tm",
"tn",
"to",
"tr",
"tt",
"tw",
"tz",
"ua",
"ug",
"us",
"uy",
"uz",
"vc",
"ve",
"vg",
"vi",
"vn",
"vu",
"ws",
"ye",
"yt",
"za",
"zm",
"zw"
],
"type": "string"
},
"order_by": {
"type": "string",
"pattern": "^[a-z_][a-z0-9_.]*(:(asc|desc))?(,[a-z_][a-z0-9_.]*(:(asc|desc))?)*$",
"minLength": 1
},
"protocol": {
"enum": [
"both",
"http",
"https"
],
"type": "string"
}
},
"additionalProperties": false
}json
{
"date": "2026-09-01",
"target": "ahrefs.com",
"country": "us"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 包含最多 50 个 API 单位。有无匹配数据均按此价格收费。 | $0.055 |
|---|---|---|
| 额外个 API 单位的单价 | 超出前 50 个单位的部分,按每个 API 单位计费。 | $0.0011 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $32.45 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |